#ifndef __LCD_MCUIF_H
#define __LCD_MCUIF_H

#include "stm32f4xx.h"
#include "SysTick.h"

/* Private define ------------------------------------------------------------*/
#define LCD_REG              (*((volatile unsigned short *) 0x60000000)) /* RS = 0 */
#define LCD_RAM              (*((volatile unsigned short *) 0x60010000)) /* RS = 1 */

void MCUIF_LCD_Init(void);
void LCD_WriteIndex(uint8_t data);
void LCD_WriteData(uint8_t data);
void LCD_DrawPoint_16Bit(uint16_t color);
void LCD_WriteReg(uint8_t LCD_Reg, uint8_t LCD_RegValue);
void LCD_SetWindows(uint16_t xStar, uint16_t yStar, uint16_t xEnd, uint16_t yEnd);
void LCD_Clear(uint16_t Color);

#endif
